#
# spec file for package ser2net
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ser2net
Version:        2.10.0
Release:        lp152.3.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://ser2net.sourceforge.net/
Source:         http://download.sourceforge.net/ser2net/%{name}-%{version}.tar.gz
Source2:        ser2net.service
Summary:        Serial port to network proxy
License:        GPL-2.0+
Group:          Productivity/Networking/Other
BuildRequires:  systemd-rpm-macros
Patch0:         ser2net-config.patch
%{?systemd_requires}

%description
ser2net provides a way for a user to connect from a network connection to a 
serial port. It provides all the serial port setup, a configuration file to 
configure the ports, a control login for modifying port parameters, 
monitoring ports, and controlling ports.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%make_install
%{__install} -D -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
%{__install} -D -m 0644 %{S:2} %{buildroot}%{_unitdir}/ser2net.service

%pre
%service_add_pre ser2net.service

%post
%service_add_post ser2net.service

%preun
%service_del_preun ser2net.service

%postun
%service_del_postun ser2net.service

%files
%defattr(-,root,root)
%doc COPYING ChangeLog AUTHORS README
%{_unitdir}/ser2net.service
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}*

%changelog
* Mon Mar 23 2015 p.drouand@gmail.com
- Update to version 2.10.0
  * utils.c, controller.c, dataxfer.c: Return an errno from
  scan_tcp_port() so it can return an out of memory error.
  * controller.c, controller.h, ser2net.c: Add an out of memory
  return code from controller_init().
  * utils.c, utils.h, dataxfer.c, controller.c: Rework the handling
  of addresses to work properly with all the return values of
  getaddrinfo, and to prefer IPV6 over IPV4 when opening the socket.
  This means if you specify a number, it will open the IPV6 ::,port
  address first.  This was a big cleanup, and moved a lot of the
  base socket handling into utils.h.
  * dataxfer.c: Rework the stdio handling so it doesn't rely on the
  port number in the address, since that is now gone.
  * dataxfer.c: Set port->closestr to NULL when freeing it to avoid
  a double-free.
  * readconfig.c, ser2net.8: Rework the input handling so an IPV6
  can be specified as part of the portnum parameter.  This was hard
  because IPV6 addresses have ':' in them.  Basically, if there is a
  "," in the port specification, assume that everything from the
  beginning of the line to the ':' after the ',' is the port number.
  * utils.c, utils.h, dataxfer.c, controller.c: Modified address
  handling so that ser2net opens all the addresses returned by
  getaddrinfo, not just the first one.  That should make things
  work correctly in a lot more cases.
  * io.h, devcfg.h, devcfg.c, dataxfer.c, buffer.c, buffer.h: Abstract
  the device I/O operations.
  * utils.c, utils.h, controller.h, controller.c: Fix some const
  correctness issues
  * conroller.c, controller.h: Add printf-style output.
  * dataxfer.h, dataxfer.c, devcfg.h, devcfg.c, io.h, readconfig:
  Rework the error and output handling to make it more flexible, so
  errors can be output with useful information from the lower
  * utils.h, readconfig.c, dataxfer.c: Rework the find_xxx
  functions to return a strdup of the string.
  * dataxfer.c, dataxfer.h, devcfg.h: Remove the dinfo structure
  and move the contents into the port structure, and remove the
  now empty devcfg.h.
  * configure.ac: Minor rework.
  * ser2net.h, Makefile.am: Move some things into a new
  ser2net.h file.
  * devcfg.c, controller.c, dataxfer.c, ser2net.c, utils.c: Add the
  ser2net.h include file.
  * dataxfer.c: Fix some EAGAIN handling.
- Require systemd-rpm-macros instead of pkgconfig(systemd)
- Remove redundant %%clean section
- Update ser2net-config.patch
* Thu Mar 20 2014 crrodriguez@opensuse.org
- version 2.9.1
  * drop tcpwrappers support
  * Fix a bug in format strings where hex element (\x)
  would have the wrong values for a-f.
  * Make RFC2217 signature configurable:
  * The baudrate, that will be sent to the client,
    was converted twice.
* Fri Dec 21 2012 crrodriguez@opensuse.org
- Enable tcp-wrappers support
- ser2net-config.patch Do not open any serial2net connections
  by default, it is up to the user to do so.
* Thu Dec 20 2012 crrodriguez@opensuse.org
- Initial version for factory, 2.8.rc3
* Tue Feb 26 2008 developer@jefferyfernandez.id.au
- Cleaned up init script
* Mon Feb 25 2008 developer@jefferyfernandez.id.au
- Initial release for openSUSE
